<?php

namespace WPRuby_Table_Rates\Core\App\Endpoints;

use WPRuby_Table_Rates\Core\App\Endpoints\Services\Categories;
use WPRuby_Table_Rates\Core\App\Endpoints\Services\Users;

class Load_App_Data_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{
		$payload = [];

		$categories_service = new Categories();

		$payload['product_categories'] = $categories_service->get_product_categories();
		$payload['product_tags'] = $categories_service->get_product_tags();
		$payload['shipping_classes'] = $categories_service->get_shipping_classes();
		$payload['coupons'] = $categories_service->get_coupons();
		$payload['user_roles'] = (new Users())->get_roles();

		return $payload;
	}

	public function action() {
		return 'str_load_app_data';
	}
}
